Bug 2137780 - CVE-2022-32221 curl: POST following PUT confusion [fedora-all]
Summary: CVE-2022-32221 curl: POST following PUT confusion [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: curl
Version: 36
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Kamil Dudka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2022-32221
TreeView+ depends on / blocked
 
Reported: 2022-10-26 07:42 UTC by Sandipan Roy
Modified: 2022-11-10 22:26 UTC (History)
5 users (show)

Fixed In Version: curl-7.86.0-1.fc38 curl-7.82.0-9.fc36 curl-7.79.1-7.fc35 curl-7.85.0-2.fc37
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-10-30 21:00:02 UTC
Type: ---


Attachments (Terms of Use)

Description Sandipan Roy 2022-10-26 07:42:43 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2135411

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Sandipan Roy 2022-10-26 07:42:47 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2135411,2137780

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2022-10-27 07:35:05 UTC
FEDORA-2022-01ffde372c has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-01ffde372c

Comment 3 Fedora Update System 2022-10-27 07:35:07 UTC
FEDORA-2022-39688a779d has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-39688a779d

Comment 4 Fedora Update System 2022-10-27 07:35:10 UTC
FEDORA-2022-e9d65906c4 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-e9d65906c4

Comment 5 Fedora Update System 2022-10-27 11:08:07 UTC
FEDORA-2022-e9d65906c4 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-e9d65906c4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-e9d65906c4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-10-27 12:14:23 UTC
FEDORA-2022-01ffde372c has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-01ffde372c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-01ffde372c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-10-27 12:22:17 UTC
FEDORA-2022-39688a779d has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-39688a779d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-39688a779d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-10-30 21:00:02 UTC
FEDORA-2022-01ffde372c has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2022-11-10 16:21:30 UTC
FEDORA-2022-39688a779d has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2022-11-10 22:26:51 UTC
FEDORA-2022-e9d65906c4 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.